---
title: isFinite()
slug: Web/JavaScript/Reference/Global_Objects/isFinite
tags:
  - Functions
  - JavaScript
  - Method
  - Reference
  - inFinite
---
<div>{{jsSidebar("Objects")}}</div>

<p>The global <code><strong>isFinite()</strong></code> function determines whether the passed value is a finite number. If  needed, the parameter is first converted to a number.</p>

<div>{{EmbedInteractiveExample("pages/js/globalprops-isfinite.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">isFinite(<var>testValue</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>testValue</var></code></dt>
 <dd>The value to be tested for finiteness.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><strong><code>false</code></strong> if the argument is (or will be coerced to) positive or negative {{jsxref("Infinity")}} or {{jsxref("NaN")}} or {{jsxref("undefined")}}; otherwise, <strong><code>true</code></strong>.</p>

<h2 id="Description">Description</h2>

<p><code>isFinite</code> is a function property of the global object.</p>

<p>You can use this function to determine whether a number is a finite number. The <code>isFinite</code> function examines the number in its argument. If the argument is <code>NaN</code>, positive infinity, or negative infinity, this method returns <code>false</code>; otherwise, it returns <code>true</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_isFinite">Using isFinite</h3>

<pre class="brush: js notranslate">isFinite(Infinity);  // false
isFinite(NaN);       // false
isFinite(-Infinity); // false

isFinite(0);         // true
isFinite(2e64);      // true
isFinite(910);       // true

isFinite(null);      // true, would've been false with the
                     // more robust Number.isFinite(null)

isFinite('0');       // true, would've been false with the
                     // more robust Number.isFinite("0")
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-isfinite-number', 'isFinite')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.isFinite")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Number.isFinite()")}}</li>
 <li>{{jsxref("Number.NaN")}}</li>
 <li>{{jsxref("Number.POSITIVE_INFINITY")}}</li>
 <li>{{jsxref("Number.NEGATIVE_INFINITY")}}</li>
</ul>
